(function (exports, react) {
  'use strict';

  var react__default = 'default' in react ? react['default'] : react;

  function _slicedToArray(arr, i) {
    return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
  }

  function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
  }

  function _iterableToArrayLimit(arr, i) {
    if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
      return;
    }

    var _arr = [];
    var _n = true;
    var _d = false;
    var _e = undefined;

    try {
      for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  function _nonIterableRest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance");
  }

  var useInput = function useInput() {
    var initialValue = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

    // Set value to state and de-structure value and setter
    var _useState = react.useState(initialValue),
        _useState2 = _slicedToArray(_useState, 2),
        value = _useState2[0],
        setValue = _useState2[1]; // Handle input change


    var onChange = function onChange(e) {
      setValue(e.target.value);
    }; // return array with input prop object and setter


    return [{
      value: value,
      // Input value prop
      onChange: onChange // Input on change handler

    }, setValue // Allow Dispatching to set state
    ];
  };

  exports.useInput = useInput;

  return exports;

}({}, react));
